<?xml version="1.0" encoding="UTF-8"?>

<?import de.jensd.fx.glyphs.fontawesome.FontAwesomeIconView?>
<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.effect.Glow?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>

<!--suppress XmlPathReference -->

<GridPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="400.0" prefWidth="600.0" stylesheets="@../css/style.css" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.zemential.stages.MainMenuStage">
  <columnConstraints>
    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
  </columnConstraints>
  <rowConstraints>
      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="ALWAYS" />
      <RowConstraints minHeight="10.0" vgrow="NEVER" />
    <RowConstraints minHeight="10.0" vgrow="NEVER" />
      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="ALWAYS" />
      <RowConstraints vgrow="NEVER" />
  </rowConstraints>
   <opaqueInsets>
      <Insets />
   </opaqueInsets>
   <children>
      <GridPane minHeight="233.0" GridPane.rowIndex="2">
         <columnConstraints>
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
         </columnConstraints>
         <rowConstraints>
            <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
         </rowConstraints>
         <children>
            <Button fx:id="startGameButton" maxHeight="50.0" maxWidth="400.0" minHeight="50.0" minWidth="100.0" mnemonicParsing="false" onAction="#onStartGameButtonClick" text="INICIAR PARTIDA" GridPane.halignment="CENTER">
               <GridPane.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </GridPane.margin>
            </Button>
            <Button fx:id="historyButton" maxHeight="50.0" maxWidth="400.0" minHeight="50.0" minWidth="100.0" mnemonicParsing="false" onAction="#onHistoryButtonClick" text="HISTORIAL" GridPane.halignment="CENTER" GridPane.rowIndex="1">
               <GridPane.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </GridPane.margin>
            </Button>
            <Button fx:id="manageQuestionsButton" maxHeight="50.0" maxWidth="400.0" minHeight="50.0" minWidth="100.0" mnemonicParsing="false" onAction="#onManageQuestionsButton" text="GESTIONAR PREGUNTAS" GridPane.halignment="CENTER" GridPane.rowIndex="2">
               <GridPane.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </GridPane.margin>
            </Button>
            <GridPane hgap="10.0" maxWidth="400.0" GridPane.halignment="CENTER" GridPane.rowIndex="3">
               <GridPane.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </GridPane.margin>
               <columnConstraints>
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
                  <ColumnConstraints hgrow="NEVER" />
               </columnConstraints>
               <rowConstraints>
                  <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
               </rowConstraints>
               <children>
                  <Button fx:id="exitButton" maxHeight="50.0" maxWidth="100.0" minHeight="50.0" minWidth="100.0" mnemonicParsing="false" onAction="#onExitButtonClick" text="SALIR" />
                  <Button fx:id="helpButton" maxHeight="50.0" maxWidth="100.0" minHeight="50.0" minWidth="100.0" mnemonicParsing="false" onAction="#onHelpButtonClick" prefHeight="50.0" prefWidth="100.0" styleClass="fa-button" GridPane.columnIndex="1">
                     <graphic>
                        <FontAwesomeIconView fill="WHITE" glyphName="QUESTION_CIRCLE" size="12" styleClass="fa-button" />
                     </graphic>
                     <GridPane.margin>
                        <Insets />
                     </GridPane.margin>
                  </Button>
               </children>
            </GridPane>
         </children>
         <GridPane.margin>
            <Insets />
         </GridPane.margin>
      </GridPane>
      <Label text="&lt;Zemential/&gt;" textFill="#1a1c21" GridPane.halignment="CENTER" GridPane.rowIndex="1">
         <font>
            <Font name="Impact" size="65.0" />
         </font>
         <effect>
            <Glow />
         </effect>
         <GridPane.margin>
            <Insets bottom="35.0" />
         </GridPane.margin>
      </Label>
      <Label fx:id="currentUserLabel" text="Label" GridPane.halignment="CENTER" GridPane.rowIndex="4">
         <GridPane.margin>
            <Insets bottom="10.0" />
         </GridPane.margin></Label>
   </children>
</GridPane>
